# Generated by Django 2.0.5 on 2018-10-15 13:36

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0045_auto_20181011_0535'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('renewal', '0002_auto_20180831_0637'),
    ]

    operations = [
        migrations.CreateModel(
            name='RenewalHaltedDevice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('device_crm_id', models.PositiveIntegerField()),
                ('status', models.CharField(choices=[('1', 'Do Not Renew'), ('2', 'Hold')], max_length=2)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renewal_halted_devices', to='accounts.Customer')),
            ],
        ),
        migrations.CreateModel(
            name='RenewalHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('device_crm_id', models.PositiveIntegerField()),
                ('action', models.CharField(max_length=500)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('author', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renewal_history', to='accounts.Customer')),
            ],
        ),
        migrations.DeleteModel(
            name='DoNotRenewDevice',
        ),
        migrations.AlterField(
            model_name='renewalrequest',
            name='renewal_type',
            field=models.CharField(choices=[('1', 'Renew'), ('2', 'Do Not Renew'), ('3', 'Terminate'), ('4', 'Research'), ('5', 'Hold')], max_length=20, verbose_name='Renewal Type'),
        ),
        migrations.AlterUniqueTogether(
            name='renewalhalteddevice',
            unique_together={('device_crm_id', 'customer')},
        ),
    ]
